<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>FileExtensionConfigurationBuilderProvider (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FileExtensionConfigurationBuilderProvider (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FileExtensionConfigurationBuilderProvider.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/apache/commons/configuration2/builder/combined/ConfigurationDeclaration.html" title="class in org.apache.commons.configuration2.builder.combined"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/apache/commons/configuration2/builder/combined/MultiFileBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder.combined"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/apache/commons/configuration2/builder/combined/FileExtensionConfigurationBuilderProvider.html" target="_top">Frames</a></li>
<li><a href="FileExtensionConfigurationBuilderProvider.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.commons.configuration2.builder.combined</div>
<h2 title="Class FileExtensionConfigurationBuilderProvider" class="title">Class FileExtensionConfigurationBuilderProvider</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../org/apache/commons/configuration2/builder/combined/BaseConfigurationBuilderProvider.html" title="class in org.apache.commons.configuration2.builder.combined">org.apache.commons.configuration2.builder.combined.BaseConfigurationBuilderProvider</a></li>
<li>
<ul class="inheritance">
<li>org.apache.commons.configuration2.builder.combined.FileExtensionConfigurationBuilderProvider</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../../org/apache/commons/configuration2/builder/combined/ConfigurationBuilderProvider.html" title="interface in org.apache.commons.configuration2.builder.combined">ConfigurationBuilderProvider</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">FileExtensionConfigurationBuilderProvider</span>
extends <a href="../../../../../../org/apache/commons/configuration2/builder/combined/BaseConfigurationBuilderProvider.html" title="class in org.apache.commons.configuration2.builder.combined">BaseConfigurationBuilderProvider</a></pre>
<div class="block"><p>
 A specialized implementation of <a href="../../../../../../org/apache/commons/configuration2/builder/combined/ConfigurationBuilderProvider.html" title="interface in org.apache.commons.configuration2.builder.combined"><code>ConfigurationBuilderProvider</code></a> which
 determines the name of the result configuration class based on the extension
 of the file to load.
 </p>
 <p>
 This class works analogously to its base class <a href="../../../../../../org/apache/commons/configuration2/builder/combined/BaseConfigurationBuilderProvider.html" title="class in org.apache.commons.configuration2.builder.combined"><code>BaseConfigurationBuilderProvider</code></a>;
 especially, the resulting builder is created based on reflection. It extends
 the super class's functionality by a specific mechanism for determining the
 resulting configuration class: At construction time two configuration class
 names and a file extension are passed in. If a file name is provided in the
 builder's initialization parameters and this file name has the specified
 extension, then the first configuration class name is used; otherwise the
 default configuration class name is selected.
 </p>
 <p>
 There are some tags for <code>CombinedConfigurationProvider</code> which can
 produce different results depending on the configuration files they have to
 load. This class can be used to implement this feature in a generic way.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.0</dd>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>$Id: FileExtensionConfigurationBuilderProvider.java 1679774 2015-05-16 17:42:17Z oheger $</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/FileExtensionConfigurationBuilderProvider.html#FileExtensionConfigurationBuilderProvider-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.util.Collection-">FileExtensionConfigurationBuilderProvider</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;bldrCls,
                                         <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;reloadBldrCls,
                                         <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;matchingConfigCls,
                                         <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;defConfigClass,
                                         <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;ext,
                                         <a href="http://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;paramCls)</code>
<div class="block">Creates a new instance of
 <code>FileExtensionConfigurationBuilderProvider</code>.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/FileExtensionConfigurationBuilderProvider.html#determineConfigurationClass-org.apache.commons.configuration2.builder.combined.ConfigurationDeclaration-java.util.Collection-">determineConfigurationClass</a></span>(<a href="../../../../../../org/apache/commons/configuration2/builder/combined/ConfigurationDeclaration.html" title="class in org.apache.commons.configuration2.builder.combined">ConfigurationDeclaration</a>&nbsp;decl,
                           <a href="http://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a>&gt;&nbsp;params)</code>
<div class="block">Determines the name of the configuration class produced by the builder.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/FileExtensionConfigurationBuilderProvider.html#getExtension--">getExtension</a></span>()</code>
<div class="block">Returns the file extension of this provider.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/FileExtensionConfigurationBuilderProvider.html#getMatchingConfigurationClass--">getMatchingConfigurationClass</a></span>()</code>
<div class="block">Returns the name of the matching configuration class.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.apache.commons.configuration2.builder.combined.BaseConfigurationBuilderProvider">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.apache.commons.configuration2.builder.combined.<a href="../../../../../../org/apache/commons/configuration2/builder/combined/BaseConfigurationBuilderProvider.html" title="class in org.apache.commons.configuration2.builder.combined">BaseConfigurationBuilderProvider</a></h3>
<code><a href="../../../../../../org/apache/commons/configuration2/builder/combined/BaseConfigurationBuilderProvider.html#configureBuilder-org.apache.commons.configuration2.builder.BasicConfigurationBuilder-org.apache.commons.configuration2.builder.combined.ConfigurationDeclaration-java.util.Collection-">configureBuilder</a>, <a href="../../../../../../org/apache/commons/configuration2/builder/combined/BaseConfigurationBuilderProvider.html#createBuilder-org.apache.commons.configuration2.builder.combined.ConfigurationDeclaration-java.util.Collection-">createBuilder</a>, <a href="../../../../../../org/apache/commons/configuration2/builder/combined/BaseConfigurationBuilderProvider.html#createParameterObjects--">createParameterObjects</a>, <a href="../../../../../../org/apache/commons/configuration2/builder/combined/BaseConfigurationBuilderProvider.html#determineBuilderClass-org.apache.commons.configuration2.builder.combined.ConfigurationDeclaration-">determineBuilderClass</a>, <a href="../../../../../../org/apache/commons/configuration2/builder/combined/BaseConfigurationBuilderProvider.html#getBuilderClass--">getBuilderClass</a>, <a href="../../../../../../org/apache/commons/configuration2/builder/combined/BaseConfigurationBuilderProvider.html#getConfigurationBuilder-org.apache.commons.configuration2.builder.combined.ConfigurationDeclaration-">getConfigurationBuilder</a>, <a href="../../../../../../org/apache/commons/configuration2/builder/combined/BaseConfigurationBuilderProvider.html#getConfigurationClass--">getConfigurationClass</a>, <a href="../../../../../../org/apache/commons/configuration2/builder/combined/BaseConfigurationBuilderProvider.html#getParameterClasses--">getParameterClasses</a>, <a href="../../../../../../org/apache/commons/configuration2/builder/combined/BaseConfigurationBuilderProvider.html#getReloadingBuilderClass--">getReloadingBuilderClass</a>, <a href="../../../../../../org/apache/commons/configuration2/builder/combined/BaseConfigurationBuilderProvider.html#inheritParentBuilderProperties-org.apache.commons.configuration2.builder.combined.ConfigurationDeclaration-java.util.Collection-">inheritParentBuilderProperties</a>, <a href="../../../../../../org/apache/commons/configuration2/builder/combined/BaseConfigurationBuilderProvider.html#initializeParameterObjects-org.apache.commons.configuration2.builder.combined.ConfigurationDeclaration-java.util.Collection-">initializeParameterObjects</a>, <a href="../../../../../../org/apache/commons/configuration2/builder/combined/BaseConfigurationBuilderProvider.html#isAllowFailOnInit-org.apache.commons.configuration2.builder.combined.ConfigurationDeclaration-">isAllowFailOnInit</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="FileExtensionConfigurationBuilderProvider-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.util.Collection-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FileExtensionConfigurationBuilderProvider</h4>
<pre>public&nbsp;FileExtensionConfigurationBuilderProvider(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;bldrCls,
                                                 <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;reloadBldrCls,
                                                 <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;matchingConfigCls,
                                                 <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;defConfigClass,
                                                 <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;ext,
                                                 <a href="http://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;paramCls)</pre>
<div class="block">Creates a new instance of
 <code>FileExtensionConfigurationBuilderProvider</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>bldrCls</code> - the name of the builder class</dd>
<dd><code>reloadBldrCls</code> - the name of a builder class to be used if reloading
        support is required (<b>null</b> if reloading is not supported)</dd>
<dd><code>matchingConfigCls</code> - the name of the configuration class to be used
        if the provided file extension matches (must not be <b>null</b>)</dd>
<dd><code>defConfigClass</code> - the name of the configuration class to be used if
        the provided file extension does not match (must not be
        <b>null</b>)</dd>
<dd><code>ext</code> - the file extension to select the configuration class (must not
        be <b>null</b>)</dd>
<dd><code>paramCls</code> - a collection with the names of parameters classes; an
        instance of a parameters object with basic properties is created
        automatically and does not need to be contained in this list; the
        collection can be <b>null</b> if no additional parameter objects
        are needed</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/IllegalArgumentException.html?is-external=true" title="class or interface in java.lang">IllegalArgumentException</a></code> - if a required parameter is missing</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getMatchingConfigurationClass--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMatchingConfigurationClass</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getMatchingConfigurationClass()</pre>
<div class="block">Returns the name of the matching configuration class. This class is used
 if the file extension matches the extension of this provider.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the matching configuration class</dd>
</dl>
</li>
</ul>
<a name="getExtension--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExtension</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getExtension()</pre>
<div class="block">Returns the file extension of this provider.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the file extension to match</dd>
</dl>
</li>
</ul>
<a name="determineConfigurationClass-org.apache.commons.configuration2.builder.combined.ConfigurationDeclaration-java.util.Collection-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>determineConfigurationClass</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;determineConfigurationClass(<a href="../../../../../../org/apache/commons/configuration2/builder/combined/ConfigurationDeclaration.html" title="class in org.apache.commons.configuration2.builder.combined">ConfigurationDeclaration</a>&nbsp;decl,
                                             <a href="http://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a>&gt;&nbsp;params)
                                      throws <a href="../../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></pre>
<div class="block">Determines the name of the configuration class produced by the builder.
 This method is called when obtaining the arguments for invoking the
 constructor of the builder class. This implementation just returns the
 pre-configured configuration class name. Derived classes may determine
 this class name dynamically based on the passed in parameters. This implementation tries to find a
 <a href="../../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder"><code>FileBasedBuilderParametersImpl</code></a> object in the parameter objects. If
 one is found, the extension of the file name is obtained and compared
 against the stored file extension. In case of a match, the matching
 configuration class is selected, otherwise the default one.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../../org/apache/commons/configuration2/builder/combined/BaseConfigurationBuilderProvider.html#determineConfigurationClass-org.apache.commons.configuration2.builder.combined.ConfigurationDeclaration-java.util.Collection-">determineConfigurationClass</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../org/apache/commons/configuration2/builder/combined/BaseConfigurationBuilderProvider.html" title="class in org.apache.commons.configuration2.builder.combined">BaseConfigurationBuilderProvider</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>decl</code> - the current <code>ConfigurationDeclaration</code></dd>
<dd><code>params</code> - the collection with parameter objects</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the name of the builder's result configuration class</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></code> - if an error occurs</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FileExtensionConfigurationBuilderProvider.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/apache/commons/configuration2/builder/combined/ConfigurationDeclaration.html" title="class in org.apache.commons.configuration2.builder.combined"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/apache/commons/configuration2/builder/combined/MultiFileBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder.combined"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/apache/commons/configuration2/builder/combined/FileExtensionConfigurationBuilderProvider.html" target="_top">Frames</a></li>
<li><a href="FileExtensionConfigurationBuilderProvider.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
